package com.sqx.modules.errand.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.datacentre.query.DataCenterQuery;
import com.sqx.modules.errand.entity.ErrandComplaint;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface ErrandComplaintDao extends BaseMapper<ErrandComplaint> {

    IPage<ErrandComplaint> findAppComplaint(Page<ErrandComplaint> pages, Long userId, Integer illegalId, Integer complaintState);

    ErrandComplaint findComplaint(Long complaintId);

    IPage<ErrandComplaint> findAllComplaint(Page<ErrandComplaint> pages, Long userId, Integer illegalId, Integer complaintState, String indentNumber);

    BigDecimal deductMoneySum(@Param("query") DataCenterQuery query);

    List<ErrandComplaint> selectComplaintList(Long userId);

    IPage<ErrandComplaint> selectComplaint(Page<ErrandComplaint> pages, Long shopId);

    IPage<ErrandComplaint> selectUserComplaint(Page<ErrandComplaint> pages, Long userId);
}
